{ config, lib, ... }:

let
  cfg = config.subs.waybar;
in
{
  options = {
    subs.waybar.enable = lib.mkOption {
      default = false;
      type = lib.types.bool;
    };
  };

  config = lib.mkIf cfg.enable {
    programs.waybar = {
      enable = true;
      settings = {
      };
    };
  };
}
